Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024573
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-08-23 14:192013-08-29 13:17
ReporterjonalegriaesarteView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revision327ce5aac264
ProjectionnoneETAnoneTarget Version3.0MP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024573: Numeric reference is using euroEdition format instead of generalQtyEdition

DescriptionNumeric reference is using euroEdition format instead of generalQtyEdition. So, if you change the precision of euroEdition, the Numeric reference changes, but amount referece changes also, which is wrong.
Steps To Reproduce- Change generalQtyEdition or qtyEdition from 2 decimals to 3 decimals
- smartbuild to persist the change
- Tax rate window, rate field has not changed
- Change euroEdition
- smartbuild
- Tax rate window, rate field has changed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060750)
jonalegriaesarte (reporter)
2013-08-23 14:21

Some notes:

- We have to review all the references that are using Numeric as a reference, to analyze if it should use this reference or another one
- In the documentation, http://wiki.openbravo.com/wiki/ERP_2.50:Developers_Guide/Format_xml#Application_dictionary_-_format_name_mapping, [^] qtyEdition should be applying. It is better if the reference that applies is generalQtyEdition
- Review the references that are using generalQtyEdition and analyze if it is correct.
(0060774)
hgbot (developer)
2013-08-27 08:43

Repository: erp/devel/pi
Changeset: 327ce5aac264121d6d8d4250ba7cda19eeefbade
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Aug 27 08:32:17 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/327ce5aac264121d6d8d4250ba7cda19eeefbade [^]

Fixes issue 24573: Numeric reference should use generalQtyEdition format

The format of the Number reference has been change from euro to generalQty

---
M src/org/openbravo/base/model/domaintype/BigDecimalDomainType.java
---
(0060775)
AugustoMauch (developer)
2013-08-27 08:44

Test plan:
- Test that the numeric references are using the proper format according to http://wiki.openbravo.com/wiki/ERP_2.50:Developers_Guide/Format_xml#Application_dictionary_-_format_name_mapping, [^]
(0060782)
shankarb (developer)
2013-08-27 10:54

Code reviewed and verified in pi changeset 327ce5aac264
(0060784)
shankarb (developer)
2013-08-27 10:54

Code reviewed and verified in pi changeset 327ce5aac264
(0060811)
hudsonbot (developer)
2013-08-29 13:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0268756c9c4a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-23 14:19 jonalegriaesarte New Issue
2013-08-23 14:19 jonalegriaesarte Assigned To => AugustoMauch
2013-08-23 14:19 jonalegriaesarte Modules => Core
2013-08-23 14:19 jonalegriaesarte Triggers an Emergency Pack => No
2013-08-23 14:21 jonalegriaesarte Note Added: 0060750
2013-08-27 08:30 AugustoMauch Issue Monitored: dbaz
2013-08-27 08:30 AugustoMauch Issue End Monitor: dbaz
2013-08-27 08:31 AugustoMauch Issue Monitored: shankarb
2013-08-27 08:31 AugustoMauch Review Assigned To => shankarb
2013-08-27 08:43 hgbot Checkin
2013-08-27 08:43 hgbot Note Added: 0060774
2013-08-27 08:43 hgbot Status new => resolved
2013-08-27 08:43 hgbot Resolution open => fixed
2013-08-27 08:43 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/327ce5aac264121d6d8d4250ba7cda19eeefbade [^]
2013-08-27 08:44 AugustoMauch Note Added: 0060775
2013-08-27 10:54 shankarb Note Added: 0060782
2013-08-27 10:54 shankarb Note Added: 0060784
2013-08-27 10:54 shankarb Status resolved => closed
2013-08-27 10:54 shankarb Fixed in Version => 3.0MP27
2013-08-29 13:17 hudsonbot Checkin
2013-08-29 13:17 hudsonbot Note Added: 0060811


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker